
Foreman - Bug #13986

Provisioning via API without explicitly specifying the provisioning method can lead to using

combination of image and build provisioning methods

03/01/2016 11:39 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Compute resources   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3265

  

Description

1. create a compute profile with an image assigned

2. assign the compute profile to a host group (not needed, but it makes the hammer command shorter, inheriting other required host

attrs)

3. `host create --hostgroup=base --compute-resource=libvirt --name test-9 --location Default_Location --organization

Default_Organization1 --compute-attributes="start=1" --subnet libvirt)

As a result, new host is created, with sending the image id to the compute resource, while expecting the the pxe boot to happen the

machine,

which doesn't happen, because the host is created using the base image.

Related issues:

Related to Foreman - Bug #12517: VMWare VM should be created network based if... Closed 11/18/2015

Associated revisions

Revision 4c512942 - 04/11/2016 11:42 AM - Ivan Necas

Fixes #13986 - don't use image unless in image provisioning method

Revision a782b917 - 04/18/2016 01:45 PM - Ivan Necas

Fixes #13986 - don't use image unless in image provisioning method

(cherry picked from commit 4c512942c3921cf8be696ed12cc588b1716b29d7)

History

#1 - 03/02/2016 03:05 AM - Dominic Cleal

- Related to Bug #12517: VMWare VM should be created network based if it is selected in the gui added

#2 - 03/02/2016 03:33 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3265 added

#3 - 04/11/2016 12:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c512942c3921cf8be696ed12cc588b1716b29d7.

#4 - 04/12/2016 03:17 AM - Dominic Cleal

- Category set to Compute resources

- translation missing: en.field_release set to 141
